Tspi_GetAttribData(3)

NAME
Tspi_GetAttribData - get a non 32bit attribute of the object.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_GetAttribData(TSS_HOBJECT hObject, TSS_FLAG attribFlag,
                              TSS_FLAG    subFlag, UINT32*  pulAttribDataSize,
                              BYTE**      prgbAttribData);

DESCRIPTION

Tspi_GetAttribData is used to get the value of a particular attribute associated iwth a particular object where that attribute does not happen to be a UINT32. The structure and size of the attribute data depends on the attribute.

PARAMETERS

  hObject
Handle of the object where to retrieve the attribute.

  attribFlag
Flag indicating the attribute to query.

  subFlag
Sub flag indicating the attribute to query.

  pulAttribDataSize
Recieves the length (in bytes) of the prgbAttribData parameter.

  prgbAttribData
On successful completion of the command, this parameter points to a buffer containing the actual data of the specified attribute.

RETURN CODES

Tspi_GetAttribData returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hObject, attribFlag, or subFlag are invalid.

TSS_E_ATTRIB_FLAG

TSS_E_ATTRIB_SUBFLAG

TSS_E_ATTRIB_DATA

TSS_E_BAD_PARAMETER

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_GetAttribData conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_SetAttribData(3).